Bug 135311 - gnome-moz-remote should support --newtab
gnome-moz-remote should support --newtab
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-vfs2 (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-11 16:58 EDT by Jesse Glick
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-25 14:18:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Glick 2004-10-11 16:58:51 EDT
gnome-moz-remote --help lists

  --newwin                   Show the given URL in a new window

which is fine, but only lets you open a new window (akin to mozilla
-remote "openURL($url,new-window)"). Would be nice to have a --newtab
option (e.g.) which does the equivalent of

mozilla -remote "openURL($url,new-tab)"

Version-Release number of selected component (if applicable):
gnome-libs-1.4.1.2.90-40
Comment 1 Havoc Pennington 2004-11-09 17:34:32 EST
gnome-libs is deprecated so not eligible for new features; the new
thing is gnome-vfs-open or something.
Comment 2 Matthew Miller 2005-04-26 11:17:24 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 Jesse Glick 2005-04-27 12:22:03 EDT
Re. comment #2: Still an issue for FC3:

gnome-libs-1.4.1.2.90-44

Re. comment #1: There is no mention in the --help documentation for
gnome-moz-remote that it is deprecated in any way. There is no man page for this
command nor does /usr/share/doc/gnome-libs-1.4.1.2.90/README mention it.

I did find a command "gnome-open" (libgnome) which honors my selection of Web
Browser in Preferred Applications prefs, which I currently have set to a custom
wrapper script reading roughly

#!/bin/sh
/usr/bin/firefox -remote "openURL($1,new-tab)"

for lack of anything more convenient that I can find. The Web Browser prefs only
has a built-in option "Firefox" which runs "firefox %s" which does not suffice -
it uses the currently focussed window/tab. You need to use -remote to request a
new tab. (I do have Firefox prefs under Tabbed Browsing set to "Open links from
other applications in... a new tab in the most recent window" but this is
apparently not enough - it uses an existing tab if you just run "firefox FILE".)
Comment 4 Matthew Miller 2006-07-10 16:30:51 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 Jesse Glick 2006-07-11 18:37:52 EDT
I believe a --newtab option is still needed. I am running FC5 with all updates
(so, gnome-libs-1.4.1.2.90-49). gnome-moz-remote --help is not working at the
moment so it is hard to check:

-------------
$ gnome-moz-remote --help
Usage: gnome-moz-remote [OPTION...]

GNOME options
  --disable-sound            Disable sound server usage
  --enable-sound             Enable sound server usage
*** buffer overflow detected ***: gnome-moz-remote terminated
======= Backtrace: =========
/lib/libc.so.6(__chk_fail+0x41)[0xcd02b1]
/lib/libc.so.6(__vsprintf_chk+0x0)[0xccfb48]
/lib/libc.so.6(_IO_default_xsputn+0x9c)[0xc54817]
/lib/libc.so.6(_IO_vfprintf+0x93c)[0xc2e955]
/lib/libc.so.6(__vsprintf_chk+0xa1)[0xccfbe9]
/lib/libc.so.6(__sprintf_chk+0x30)[0xccfb3c]
/usr/lib/libgnomesupport.so.0[0xde29ec]
/usr/lib/libgnomesupport.so.0[0xde2b0c]
/usr/lib/libgnomesupport.so.0[0xde2d02]
/usr/lib/libgnomesupport.so.0(poptGetNextOpt+0x19b)[0xde1bfb]
/usr/lib/libgnome.so.32(gnomelib_parse_args+0x6b)[0x2698ab]
gnome-moz-remote[0x804a27a]
/lib/libc.so.6(__libc_start_main+0xdc)[0xc09724]
gnome-moz-remote[0x8048f51]
======= Memory map: ========
[snip]
  --espeaker=HOSTNAME:PORT   Aborted
-------------

BTW: in

  libgnome/ChangeLog

I see

-------
2001-08-04  Martin Baulig  <baulig@suse.de>

	* libgnome/gnome-moz-remote.c, gnome-moz-remote2.c: Removed.
	* libgnome/vroot.h: Removed.

	* libgnome/gnome-remote.[ch]: Removed.
-------

which is odd since gnome-libs-1.4.1.2.90-49.src.rpm still includes it
libgnome/gnome-moz-remote.c. Anyway, that source file indeed shows --newwin as
an option, but nothing about tabs.

A note: the Tab Mix Plus extension for Firefox obviates the need for this option
since you can select "New tab" for the option "Open links from other
applications in:" under the "Links" section of T.M.P. options.
Comment 6 Matthew Miller 2006-07-11 21:56:54 EDT
Okay, thanks.
Comment 7 Alexander Larsson 2006-07-25 14:18:10 EDT
gnome-libs and gnome 1.x is now removed from FC6. Closing.

Note You need to log in before you can comment on or make changes to this bug.